net.sf.jasperreports.engine

## Interface JRLine

- All Superinterfaces:
    java.lang.Cloneable, JRChild, JRCloneable, JRCommonElement, JRCommonGraphicElement, JRElement, JRGraphicElement, JRIdentifiable, JRPenContainer, JRPropertiesHolder, JRStyleContainer, JRVisitable
  All Known Implementing Classes:
    JRBaseLine, JRDesignLine, JRFillLine

      public interface JRLine
      extends JRGraphicElement

  An abstract representation of a graphic element representing a straight line.

  When displaying a line element, JasperReports draws one of the two diagonals of the rectangle represented by the `x`, `y`, `width`, and `height` attributes specified for this element.

  The `direction` attribute (see `getDirectionValue()`) determines which one of the two diagonals of the rectangle should be drawn:
  - `TopDown` - draws a diagonal line from the top-left corner of the rectangle to the bottom-right corner.
  - `BottomUp` - draws a diagonal line from the bottom-left corner to the upper-right corner.

  The default direction for a line is top-down.

  One can draw vertical lines by specifying `width="1"` and horizontal lines by setting `height="1"`. For vertical lines, the direction is not important.
  Version:
    $Id: JRLine.java 7043 2014-04-24 12:11:59Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LineDirectionEnum` | `getDirectionValue()` Gets the line direction.
    `void` | `setDirection(LineDirectionEnum lineDirectionEnum)` Sets the line direction.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, collectExpressions, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitable

      `visit`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement

      `getFillValue, getLinePen, getOwnFillValue, setFill`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer

      `getDefaultLineColor, getDefaultLineWidth`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Method Detail

    - #### getDirectionValue

          LineDirectionEnum getDirectionValue()

      Gets the line direction.
      Returns:
        a value representing one of the line direction constants in `LineDirectionEnum`

    - #### setDirection

          void setDirection(LineDirectionEnum lineDirectionEnum)

      Sets the line direction.
      Parameters:
        `lineDirectionEnum` - a value representing one of the line direction constants in `LineDirectionEnum`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com